Namespace CustomerOrder.Entities
Public Class Customer
	Inherits DateClass
	  Public Sub New()
	_addresses = New List(Of Address)()
	_orders = New List(Of Order)()
	  End Sub

	Public Property CustomerId() As Integer
	Public Property Title() As String
	Public Property FirstName() As String
	Public Property MiddleName() As String
	Public Property LastName() As String
	Public Property CompanyName() As String
	Public Property EmailAddress() As String
	Public Property Phone() As String
	Public Property TimeStamp() As Byte()
	Public ReadOnly Property FullName() As String
	Get
		Return FirstName & " " & LastName
	End Get
	End Property
	Public ReadOnly Property FullNameReverse() As String
	  Get
		  Return LastName & ", " & FirstName
	  End Get
	End Property
	Private _addresses As ICollection(Of Address)
	Public Overridable Property Addresses() As ICollection(Of Address)
	  Get
		  Return _addresses
	  End Get
	  Set(ByVal value As ICollection(Of Address))
		  _addresses = value
	  End Set
	End Property

	Private _orders As ICollection(Of Order)
	Public Overridable Property Orders() As ICollection(Of Order)
	  Get
		  Return _orders
	  End Get
	  Set(ByVal value As ICollection(Of Order))
		  _orders = value
	  End Set
	End Property
End Class
End Namespace

