Namespace CustomerOrder.Entities
	Public Class Product
		Public Sub New()
	  _lineItems = New List(Of LineItem)()
		End Sub

		Public Property ProductId() As Integer
		Public Property Name() As String
		Public Property ProductNumber() As String
		Public Property Color() As String
		Public Property StandardCost() As Decimal
		Public Property ListPrice() As Decimal
		Public Property CategoryID() As Integer?
		Public Property ModelID() As Integer?
		Public Property DiscontinuedDate() As Date?
		Public Property ThumbNailPhoto() As Byte()
		Public Property ThumbnailPhotoFileName() As String
		Public Overridable Property ProductCategory() As Category
		Public Overridable Property ProductModel() As ProductModel
	  Private _lineItems As ICollection(Of LineItem)
	  Public Overridable Property LineItems() As ICollection(Of LineItem)
		Get
			Return _lineItems
		End Get
		Set(ByVal value As ICollection(Of LineItem))
			_lineItems = value
		End Set
	  End Property
	End Class
End Namespace

