Namespace CustomerOrder.Entities
	Public Class Category
		Inherits DateClass
		Public Sub New()
	  _products = New List(Of Product)()
	  _childCategories = New List(Of Category)()
		End Sub

		Public Property CategoryId() As Integer
		Public Property ParentCategoryId() As Integer?
		Public Property Name() As String
	  Private _products As ICollection(Of Product)
	  Public Overridable Property Products() As ICollection(Of Product)
		Get
			Return _products
		End Get
		Set(ByVal value As ICollection(Of Product))
			_products = value
		End Set
	  End Property

	  Private _childCategories As ICollection(Of Category)
	  Public Overridable Property ChildCategories() As ICollection(Of Category)
		Get
			Return _childCategories
		End Get
		Set(ByVal value As ICollection(Of Category))
			_childCategories = value
		End Set
	  End Property

	  Public Overridable Property ParentCategory() As Category
	End Class
End Namespace

