﻿Imports System.Data.Services
Imports System.Data.Services.Common
Imports CustomerOrder.Entities
Imports DataLayer

Namespace CustomerDataServices
  Public Class CustomerDataService
	  Inherits DataService(Of CustomerOrderContext)
	Public Shared Sub InitializeService(ByVal config As DataServiceConfiguration)
	  config.SetEntitySetAccessRule("*", EntitySetRights.AllRead)
	  config.SetEntitySetAccessRule("Customers", EntitySetRights.AllRead Or EntitySetRights.WriteMerge)
	  config.SetEntitySetAccessRule("EdmMetadatas", EntitySetRights.None)
	  config.UseVerboseErrors = True
	  config.DataServiceBehavior.MaxProtocolVersion = DataServiceProtocolVersion.V3
	End Sub
  End Class
End Namespace

