Namespace CustomerOrder.Entities
  Public Class LineItem
	  Inherits DateClass
	Public Property OrderId() As Integer
	Public Property LineItemId() As Integer
	Public Property OrderQty() As Integer
	Public Property ProductId() As Integer
	Public Property UnitPrice() As Decimal
	Public Property UnitPriceDiscount() As Decimal?
	Public ReadOnly Property LineTotal() As Decimal
	  Get
		If UnitPriceDiscount Is Nothing Then
		  Return (OrderQty*UnitPrice)
		End If
		Return CDec(OrderQty * (UnitPrice - UnitPriceDiscount))
	  End Get
	End Property
	Public Overridable Property Product() As Product
	Public Property Order() As Order
  End Class
End Namespace

