Namespace CustomerOrder.Entities
	Public Class Order
		Inherits DateClass
	  Public Sub New()
	  _lineItems = New List(Of LineItem)()
	  End Sub

		Public Property OrderId() As Integer
		Public Property OrderDate() As Date
		Public Property DueDate() As Date?
		Public Property OnlineOrderFlag() As Boolean
		Public Property SalesOrderNumber() As String
		Public Property PurchaseOrderNumber() As String
		Public Property CustomerId() As Integer
		Public Property BillToAddressId() As Integer?
		Public Property SubTotal() As Decimal
		Public Property Comment() As String
		Public Property ShipDate() As Date?
		Public Property Customer() As Customer

	  Private _lineItems As ICollection(Of LineItem)
	  Public Overridable Property LineItems() As ICollection(Of LineItem)
		Get
			Return _lineItems
		End Get
		Set(ByVal value As ICollection(Of LineItem))
			_lineItems = value
		End Set
	  End Property
	End Class
End Namespace

